EN JP CN

サポートされる IDE

サポートされる IDE

注: Klocwork には、他の Eclipse ベースの IDE との統合においても実績があります。

 

サポートされる C/C++ IDE

 

IDEバージョン
Eclipse3.4、3.5、3.6、3.7、4.2、4.5、4.6.1、4.6.2、4.7。
Wind River Workbench3.1、3.2、3.3、3.31、4.0

Klocwork プラグインは、32 ビット Java 7 を使用している場合、Workbench 3.1、3.2、3.3 および 3.31 でのみサポートされています。このバージョンの Java を指定して製品を起動する必要があります。

QNX Momentics6.3.2
Microsoft Visual Studio2010、2012、2013、2015、および 2017

Visual Studio Express はサポートされていません。

 

サポートされる C# IDE

 

IDEバージョン
Microsoft Visual Studio2010、2012、2013、2015、および 2017

Visual Studio Express はサポートされていません。Smart Device プロジェクトタイプはサポートされません。

 

サポートされる Java IDE

 

IDEバージョン
Android Studio1.0、1.4、1.5.1、2.0、2.2.2、2.3.3、3.0。
Eclipse3.4、3.5、3.6、3.7、4.2、4.5、4.6.1、4.6.2、4.7。
IBM Rational Application Developer for WebSphereEclipse ベースのソリューションの Ready for IBM Rational Software のレベルの 7.5.x
JetBrains IntelliJ IDEA10.0、10.5、11.x、12.x、13、14、14.1.5、15.0.5、2016.1、2016.2、2016.3、2017.1.2、2017.2.2、2017.2.6。